Get a repository
GET
https://api.vercel.com/v1/vcr/repository/{idOrName}Fetch a container registry repository for a project by ID or name.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.vcr.getRepository({ projectId: "<id>", idOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "repository": { "createdAt": "2026-06-30T10:00:00.000Z", "id": "repo_a1b2c3d4e5f6", "name": "my-app", "projectId": "prj_a1b2c3d4e5f6", "public": "false", "updatedAt": "2026-06-30T10:00:00.000Z" }}AuthorizationbearerToken
Default authentication mechanism